Mozilla Browsers shell: URI Arbitrary Command Execution

High Nessus Plugin ID 12642


The remote Windows host contains a web browser that is affected by a command execution vulnerability.


The remote host is using Mozilla and/or Firefox, a web browser.
The remote version of this software contains a weakness that could allow an attacker to execute arbitrary commands on the remote host.


Upgrade to Mozilla 1.7.1 / Firefox 0.9.2 or later.

See Also

Plugin Details

Severity: High

ID: 12642

File Name: mozilla_firefox_code_exec.nasl

Version: $Revision: 1.25 $

Type: local

Agent: windows

Family: Windows

Published: 2004/07/09

Modified: 2016/11/18

Dependencies: 20862

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:mozilla:firefox

Exploit Available: true

Exploit Ease: No exploit is required

Patch Publication Date: 2004/07/07

Vulnerability Publication Date: 2004/07/08

Reference Information

CVE: CVE-2004-0648

BID: 10681

OSVDB: 7595